/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;


import java.util.Date;
import java.util.Objects;

public class ExportHistoryVO {
    private Integer exportId;
    private Integer exportNumber;
    private Date exportTime;
    private String errorMessage;

    public Integer getExportId() {return exportId;}

    public void setExportId(Integer exportId) {this.exportId = exportId;}

    public Integer getExportNumber() {return exportNumber;}

    public void setExportNumber(Integer exportNumber) {this.exportNumber = exportNumber;}

    public Date getExportTime() {return exportTime;}

    public void setExportTime(Date exportTime) {this.exportTime = exportTime;}

    public String getErrorMessage() {return errorMessage;}

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ExportHistoryVO that = (ExportHistoryVO) o;
        return Objects.equals(exportNumber, that.exportNumber) && Objects.equals(exportTime, that.exportTime) && Objects.equals(errorMessage, that.errorMessage);
    }

    @Override
    public int hashCode() {
        return Objects.hash(exportNumber, exportTime, errorMessage);
    }
}
