/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import dk.sds.ecpr2.domain.abstr.PersonDescriptorVO;

import java.util.Date;
import java.util.Objects;


public class IdentifierWithoutServiceActorVO extends PersonDescriptorVO {
    @JsonIgnore
    private Integer identifierPID;
    @JsonIgnore
    private Integer personPID;
    private String value;
    private String oid;
    private Date expiry;
    private Integer validity;

    public Integer getIdentifierPID() {
        return identifierPID;
    }

    public void setIdentifierPID(Integer identifierPID) {
        this.identifierPID = identifierPID;
    }

    @Override
    public Integer getPersonPID() {
        return personPID;
    }

    @Override
    public void setPersonPID(Integer personPID) {
        this.personPID = personPID;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getOid() {
        return oid;
    }

    public void setOid(String oid) {
        this.oid = oid;
    }

    public Date getExpiry() {
        return expiry;
    }

    public void setExpiry(Date expiry) {
        this.expiry = expiry;
    }

    public Integer getValidity() {
        return validity;
    }

    public void setValidity(Integer validity) {
        this.validity = validity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof IdentifierWithoutServiceActorVO)) return false;
        if (!super.equals(o)) return false;
        IdentifierWithoutServiceActorVO that = (IdentifierWithoutServiceActorVO) o;
        return Objects.equals(identifierPID, that.identifierPID) && Objects.equals(personPID, that.personPID) && Objects.equals(value, that.value) && Objects.equals(oid, that.oid) && Objects.equals(expiry, that.expiry) && Objects.equals(validity, that.validity);
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), identifierPID, personPID, value, oid, expiry, validity);
    }
}
