/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.Date;
import java.util.Objects;


//@EqualsAndHashCode(exclude={"serviceActorPID", "hashValue", "modifiedTime"})
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ServiceActorVO {
    @JsonIgnore
    private Integer serviceActorPID;
    private String personIdentifier;
    private String personIdentifierOID;
    private String firstName;
    private String lastName;
    private String role;
    private String authorisationNumber;
    private String organizationId;
    private String organizationName;
    private Integer hashValue;
    private Date modifiedTime;

    public ServiceActorVO() {}

    public String getName() {
        return getFirstName() + " " + getLastName();
    }

    public int getHashCode() {
        return hashCode();
    }

    public Integer getServiceActorPID() {
        return serviceActorPID;
    }

    public void setServiceActorPID(Integer serviceActorPID) {
        this.serviceActorPID = serviceActorPID;
    }

    public String getPersonIdentifier() {
        return personIdentifier;
    }

    public void setPersonIdentifier(String personIdentifier) {
        this.personIdentifier = personIdentifier;
    }

    public String getPersonIdentifierOID() {
        return personIdentifierOID;
    }

    public void setPersonIdentifierOID(String personIdentifierOID) {
        this.personIdentifierOID = personIdentifierOID;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getAuthorisationNumber() {
        return authorisationNumber;
    }

    public void setAuthorisationNumber(String authorisationNumber) {
        this.authorisationNumber = authorisationNumber;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Integer getHashValue() {
        return hashValue;
    }

    public void setHashValue(Integer hashValue) {
        this.hashValue = hashValue;
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof ServiceActorVO)) return false;
        ServiceActorVO that = (ServiceActorVO) o;
        return Objects.equals(getPersonIdentifier(), that.getPersonIdentifier()) && Objects.equals(getPersonIdentifierOID(), that.getPersonIdentifierOID()) && Objects.equals(getFirstName(), that.getFirstName()) && Objects.equals(getLastName(), that.getLastName()) && Objects.equals(getRole(), that.getRole()) && Objects.equals(getAuthorisationNumber(), that.getAuthorisationNumber()) && Objects.equals(getOrganizationId(), that.getOrganizationId()) && Objects.equals(getOrganizationName(), that.getOrganizationName());
    }

    @Override
    public int hashCode() {
        // Implementeret efter Lomboks hashcode funktion
        final int PRIME = 59;
        int result = 1;
        result = (result*PRIME) + (getPersonIdentifier() == null ? 43 : getPersonIdentifier().hashCode());
        result = (result*PRIME) + (getPersonIdentifierOID() == null ? 43 : getPersonIdentifierOID().hashCode());
        result = (result*PRIME) + (getFirstName() == null ? 43 : getFirstName().hashCode());
        result = (result*PRIME) + (getLastName() == null ? 43 : getLastName().hashCode());
        result = (result*PRIME) + (getRole() == null ? 43 : getRole().hashCode());
        result = (result*PRIME) + (getAuthorisationNumber() == null ? 43 : getAuthorisationNumber().hashCode());
        result = (result*PRIME) + (getOrganizationId() == null ? 43 : getOrganizationId().hashCode());
        result = (result*PRIME) + (getOrganizationName() == null ? 43 : getOrganizationName().hashCode());

        return result;
    }

}
