/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;

import java.util.Calendar;
import java.util.Objects;


public class CprPersonVO {
    private String cpr;
    private String givenName;
    private String middleName;
    private String surName;
    private String birthdate;
    private String gender;

    public String getCpr() {return cpr; }
    public void setCpr(String cpr) {this.cpr = cpr;}

    public String getGivenName() {return givenName;}
    public void setGivenName(String givenName) {this.givenName = givenName;}

    public String getMiddleName() {return middleName;}
    public void setMiddleName(String middleName) {this.middleName = middleName;}

    public String getSurName() {return surName;}
    public void setSurName(String surName) {this.surName = surName;}

    public String getBirthdate() {return birthdate;}
    public void setBirthdate(String birthdate) {this.birthdate = birthdate;}

    public String getGender() {return gender;}
    public void setGender(String gender) {this.gender = gender;}

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CprPersonVO that = (CprPersonVO) o;
        return Objects.equals(cpr, that.cpr) && Objects.equals(givenName, that.givenName) && Objects.equals(middleName, that.middleName) && Objects.equals(surName, that.surName) && Objects.equals(birthdate, that.birthdate) && Objects.equals(gender, that.gender);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cpr, givenName, middleName, surName, birthdate, gender);
    }
}
